trace_log_path: "/tmp/logs"
trace_log_stream_name: "tracelog-systemdirector"
event_log_stream_name: "eventlog"
loop_target_millis: 250
storage_configuration_path: "../conf/storage.conf"

module {
    type: IP_CAMERA
    identifier: "CAMERA1"
    configuration_path: "../conf/camera-vivotek-fd836ba.conf"
    executable_path: "../IpCamera/IpCamera"
    start_process: true
    ipc_uri: "ipc:///tmp/camera1.sock"
}
module {
    type: USER_INTERFACE
    identifier: "UI"
    configuration_path: "../conf/ui.conf"
    executable_path: "../UserInterface/UserInterface"
    start_process: true
    ipc_uri: "ipc:///tmp/ui.sock"
}
trigger {
    identifier: "STANDBY"
    description: "standby"
    condition: "true"
    failure_mode: HANDLED_IN_CONDITION
    precedence: 20
    post_trigger_active_seconds: 60
    exclusive: false
    satellite_transmission_profile_identifier: ""
    sensor_log_profile_identifier: "BASELINE1"
    recording_profile_identifier: "STANDBY"
}
trigger {
    identifier: "RECORD"
    description: "manual recording"
    condition: "$USER.MANUAL_RECORD$"
    failure_mode: HANDLED_IN_CONDITION
    precedence: 10
    post_trigger_active_seconds: 5
    satellite_transmission_profile_identifier: ""
    sensor_log_profile_identifier: "BASELINE1"
    recording_profile_identifier: "RECORD"
    exclusive: false
}
recording_profile {
    identifier: "STANDBY"
    camera_recording_profile {
        camera_module_identifier: "CAMERA1"
        mode: STANDBY
    }
}
recording_profile {
    identifier: "RECORD"
    camera_recording_profile {
        camera_module_identifier: "CAMERA1"
        video_profile_identifier: "HIGH_RES_HIGH_FRAMERATE"
        mode: RECORD
    }
}
sensor_log_profile {
    identifier: "BASELINE1"
    stream_name: "primary_sensor_1_sec"
    max_file_size_mb: 1
    template: "$SYSTEM.DATETIME$ + ',' + $USER.MANUAL_RECORD$"
    frequency_seconds: 1
}
startup_event: "STARTUP"
shutdown_event: "SHUTDOWN"
systemcheck_event: "SYSTEMCHECK"

event {
    identifier: "STARTUP"
    display_string: "System started."
}
event {
    identifier: "SHUTDOWN"
    display_string: "System shutdown."
}
event {
    identifier: "SYSTEMCHECK"
    display_string: "System checked."
}
event {
    identifier: "STORAGE_EXHAUSTED"
    display_string: "Storage space exhausted."
}
event {
    identifier: "MANUAL_RECORD_BEGIN"
    display_string: "Beginning manual recording."
}
event {
    identifier: "MANUAL_RECORD_END"
    display_string: "Ending manual recording."
}

event {
    identifier: "SYSTEM_TEST_PERFORMED"
    display_string: "System tests OK."
}
property_event {
    property: "STORAGE.EXHAUSTED"
    true_event: "STORAGE_EXHAUSTED"
    false_event: ""
    null_event: ""
}
use_satellite: false
user_action {
    action_identifier: "SYSTEM_TEST"
    action_begin_event_identifier: "SYSTEM_TEST_PERFORMED"
}
user_action {
    action_identifier: "MANUAL_RECORD"
    property_name: "MANUAL_RECORD"
    action_begin_event_identifier: "MANUAL_RECORD_BEGIN"
    action_end_event_identifier: "MANUAL_RECORD_END"
}
